import { FilterBaseComponent } from "./filter-base.component";
import { InternationalizationService } from '../../internationalization/internationalization.service';
export declare class FilterBooleanComponent extends FilterBaseComponent {
    protected intl: InternationalizationService;
    init(): void;
    validate(): boolean;
    cb1: any;
    trueValues: boolean;
    falseValues: boolean;
    constructor(intl: InternationalizationService);
}
